# Uses of Class
javax.swing.FocusManager

Packages that use FocusManager
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of FocusManager in javax.swing

Subclasses of FocusManager in javax.swing
Modifier and Type
Class
Description
`class`
`DefaultFocusManager`
This class has been obsoleted by the 1.4 focus APIs.
Methods in javax.swing that return FocusManager
Modifier and Type
Method
Description
`static FocusManager`
FocusManager.`getCurrentManager()`
Returns the current `KeyboardFocusManager` instance for the calling thread's context.
Methods in javax.swing with parameters of type FocusManager
Modifier and Type
Method
Description
`static void`
FocusManager.`setCurrentManager(FocusManager aFocusManager)`
Sets the current `KeyboardFocusManager` instance for the calling thread's context.